# colorspace.h File Reference

Go to the source code of this file.

## Enumerations
enum | ColorspaceType { UndefinedColorspace, RGBColorspace, GRAYColorspace, TransparentColorspace, OHTAColorspace, LabColorspace, XYZColorspace, YCbCrColorspace, YCCColorspace, YIQColorspace, YPbPrColorspace, YUVColorspace, CMYKColorspace, sRGBColorspace, HSBColorspace, HSLColorspace, HWBColorspace, Rec601LumaColorspace, Rec601YCbCrColorspace, Rec709LumaColorspace, Rec709YCbCrColorspace, LogColorspace, CMYColorspace }
## Functions
MagickExport MagickBooleanType | RGBTransformImage (Image *, const ColorspaceType)
MagickExport MagickBooleanType | TransformImageColorspace (Image *, const ColorspaceType)
MagickExport MagickBooleanType | TransformRGBImage (Image *, const ColorspaceType)

## Enumeration Type Documentation

enum ColorspaceType

Enumerator:

  UndefinedColorspace |
  RGBColorspace |
  GRAYColorspace |
  TransparentColorspace |
  OHTAColorspace |
  LabColorspace |
  XYZColorspace |
  YCbCrColorspace |
  YCCColorspace |
  YIQColorspace |
  YPbPrColorspace |
  YUVColorspace |
  CMYKColorspace |
  sRGBColorspace |
  HSBColorspace |
  HSLColorspace |
  HWBColorspace |
  Rec601LumaColorspace |
  Rec601YCbCrColorspace |
  Rec709LumaColorspace |
  Rec709YCbCrColorspace |
  LogColorspace |
  CMYColorspace |

## Function Documentation

MagickExport MagickBooleanType RGBTransformImage | ( | Image * | ,
|  | const | ColorspaceType |
| ) |  |  |

MagickExport MagickBooleanType TransformImageColorspace | ( | Image * | ,
|  | const | ColorspaceType |
| ) |  |  |

MagickExport MagickBooleanType TransformRGBImage | ( | Image * | ,
|  | const | ColorspaceType |
| ) |  |  |